## tempest 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
cliff>=2.2.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
testtools>=1.4.0 # MIT
paramiko>=2.0 # LGPLv2.1+
netaddr!=0.7.16,>=0.7.13 # BSD
testrepository>=0.0.18 # Apache-2.0/BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
six>=1.9.0 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
PyYAML>=3.10.0 # MIT
python-subunit>=0.0.18 # Apache-2.0/BSD
stevedore>=1.16.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
os-testr>=0.8.0 # Apache-2.0
urllib3>=1.15.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
unittest2 # BSD

=== debian/changelog ===
tempest (1:13.0.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/do-not-use-git-when-building-doc.patch: Dropped. No longer needed.
  * d/control: Add python3-pep8 to BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Nov 2016 14:20:47 -0500

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-cliff (>= 2.2.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-jsonschema,
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.13),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paramiko (>= 2.0),
                     python-pep8,
                     python-prettytable (>= 0.7.1),
                     python-psycopg2,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-urllib3 (>= 1.15.1),
                     python-yaml (>= 3.10.0),
                     python3-cliff (>= 2.2.0),
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-hacking,
                     python3-jsonschema,
                     python3-mock (>= 2.0),
                     python3-mysqldb,
                     python3-netaddr (>= 0.7.13),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-paramiko (>= 2.0),
                     python3-pep8,
                     python3-prettytable (>= 0.7.1),
                     python3-psycopg2,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-unittest2,
                     python3-urllib3 (>= 1.15.1),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
Homepage: https://github.com/openstack/tempest

Package: python-tempest
Architecture: all
Replaces: python-tempest-lib,
          tempest (<< 1:12.0.0-2~),
Breaks: python-tempest-lib,
        tempest (<< 1:12.0.0-2~),
Provides: python-tempest-lib,
Depends: python-cliff (>= 2.2.0),
         python-debtcollector (>= 1.2.0),
         python-ddt,
         python-fixtures (>= 3.0.0),
         python-jsonschema,
         python-netaddr (>= 0.7.13),
         python-os-testr (>= 0.8.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslotest,
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-prettytable (>= 0.7.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         python-subunit,
         python-swiftclient,
         python-testscenarios,
         python-testtools (>= 1.4.0),
         python-unittest2,
         python-urllib3 (>= 1.15.1),
         python-yaml (>= 3.10.0),
         testrepository,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Integration Test Suite - Python 2.7
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 2.7 module.

Package: python3-tempest
Architecture: all
Replaces: python3-tempest-lib,
Breaks: python3-tempest-lib,
Provides: python3-tempest-lib,
Depends: python3-cliff (>= 2.2.0),
         python3-debtcollector (>= 1.2.0),
         python3-ddt,
         python3-fixtures (>= 3.0.0),
         python3-jsonschema,
         python3-netaddr (>= 0.7.13),
         python3-os-testr (>= 0.8.0),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-oslotest,
         python3-paramiko (>= 2.0),
         python3-pbr (>= 1.8),
         python3-prettytable (>= 0.7.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         python3-subunit,
         python3-swiftclient,
         python3-testscenarios,
         python3-testtools (>= 1.4.0),
         python3-unittest2,
         python3-urllib3 (>= 1.15.1),
         python3-yaml (>= 3.10.0),
         subunit,
         testrepository,
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends: python-tempest (= ${binary:Version}) | python3-tempest (= ${binary:Version}) | ,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.

## tempest 14.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
cliff>=2.3.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
testtools>=1.4.0 # MIT
paramiko>=2.0 # LGPLv2.1+
netaddr!=0.7.16,>=0.7.13 # BSD
testrepository>=0.0.18 # Apache-2.0/BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
six>=1.9.0 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
PyYAML>=3.10.0 # MIT
python-subunit>=0.0.18 # Apache-2.0/BSD
stevedore>=1.17.1 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
os-testr>=0.8.0 # Apache-2.0
urllib3>=1.15.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
unittest2 # BSD

=== debian/changelog ===
tempest (1:14.0.0-0ubuntu2) zesty; urgency=medium

  * debian/rules: Use dh_install --fail-missing so we can detect changes
    better. 
  * Remove run-tempest-stress from alternatives

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 10:10:00 -0500

tempest (1:14.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 14:14:27 -0500

tempest (1:13.0.0-0ubuntu2) zesty; urgency=medium

  * debian/{python-tempest.postinst, python-tempest.postrm,
    python-tempest.prerm, python3-tempest.postinst,
    python3-tempest.postrm, python3-tempest.prerm}: Remove 
    tempest-cleanup binary since it is no longer installed. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Nov 2016 09:34:39 -0500

=== debian/control ===
--- 
+++ 
@@ -16,68 +16,71 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: git,
-                     python-cliff (>= 2.2.0),
-                     python-coverage,
+                     python-cliff (>= 2.3.0),
+                     python-coverage (>= 4.0),
                      python-debtcollector (>= 1.2.0),
                      python-fixtures (>= 3.0.0),
-                     python-hacking,
-                     python-jsonschema,
+                     python-hacking (>= 0.12.0),
+                     python-jsonschema (>= 2.0.0),
                      python-mock (>= 2.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.13),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-paramiko (>= 2.0),
                      python-pep8,
                      python-prettytable (>= 0.7.1),
                      python-psycopg2,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.16.0),
+                     python-sphinx (>= 1.2.1),
+                     python-stevedore (>= 1.17.1),
                      python-swiftclient,
+                     python-testrepository (>= 0.0.18),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-unittest2,
                      python-urllib3 (>= 1.15.1),
                      python-yaml (>= 3.10.0),
-                     python3-cliff (>= 2.2.0),
-                     python3-coverage,
+                     python3-cliff (>= 2.3.0),
+                     python3-coverage (>= 4.0),
                      python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 3.0.0),
-                     python3-hacking,
-                     python3-jsonschema,
+                     python3-hacking (>= 0.12.0),
+                     python3-jsonschema (>= 2.0.0),
                      python3-mock (>= 2.0),
                      python3-mysqldb,
                      python3-netaddr (>= 0.7.13),
                      python3-os-testr (>= 0.8.0),
                      python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 3.11.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.16.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslosphinx (>= 4.7.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-paramiko (>= 2.0),
                      python3-pep8,
                      python3-prettytable (>= 0.7.1),
                      python3-psycopg2,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.16.0),
+                     python3-sphinx (>= 1.2.1),
+                     python3-stevedore (>= 1.17.1),
                      python3-subunit,
                      python3-swiftclient,
+                     python3-testrepository (>= 0.0.18),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-unittest2,
                      python3-urllib3 (>= 1.15.1),
                      python3-yaml (>= 3.10.0),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
@@ -91,19 +94,18 @@
         tempest (<< 1:12.0.0-2~),
 Provides: python-tempest-lib,
 Depends: python-cliff (>= 2.2.0),
+         python-ddt,
          python-debtcollector (>= 1.2.0),
-         python-ddt,
          python-fixtures (>= 3.0.0),
          python-jsonschema,
          python-netaddr (>= 0.7.13),
          python-os-testr (>= 0.8.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.11.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.utils (>= 3.16.0),
-         python-oslotest,
+         python-oslotest (>= 1:1.10.0),
          python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-prettytable (>= 0.7.1),
@@ -111,6 +113,7 @@
          python-stevedore (>= 1.16.0),
          python-subunit,
          python-swiftclient,
+         python-testrepository (>= 0.0.18),
          python-testscenarios,
          python-testtools (>= 1.4.0),
          python-unittest2,
@@ -118,7 +121,7 @@
          python-yaml (>= 3.10.0),
          testrepository,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Integration Test Suite - Python 2.7
  Tempest is a set of integration tests to be run against a live Openstack
  cluster in order to make sure that all components are working as expected.
@@ -133,19 +136,18 @@
 Breaks: python3-tempest-lib,
 Provides: python3-tempest-lib,
 Depends: python3-cliff (>= 2.2.0),
+         python3-ddt,
          python3-debtcollector (>= 1.2.0),
-         python3-ddt,
          python3-fixtures (>= 3.0.0),
          python3-jsonschema,
          python3-netaddr (>= 0.7.13),
          python3-os-testr (>= 0.8.0),
          python3-oslo.concurrency (>= 3.8.0),
          python3-oslo.config (>= 1:3.14.0),
-         python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 3.11.0),
          python3-oslo.serialization (>= 1.10.0),
          python3-oslo.utils (>= 3.16.0),
-         python3-oslotest,
+         python3-oslotest (>= 1:1.10.0),
          python3-paramiko (>= 2.0),
          python3-pbr (>= 1.8),
          python3-prettytable (>= 0.7.1),
@@ -153,6 +155,7 @@
          python3-stevedore (>= 1.16.0),
          python3-subunit,
          python3-swiftclient,
+         python3-testrepository (>= 0.0.18),
          python3-testscenarios,
          python3-testtools (>= 1.4.0),
          python3-unittest2,
@@ -161,7 +164,7 @@
          subunit,
          testrepository,
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Description: OpenStack Integration Test Suite - Python 3.x
  Tempest is a set of integration tests to be run against a live Openstack
  cluster in order to make sure that all components are working as expected.
@@ -174,7 +177,7 @@
 Architecture: all
 Depends: python-tempest (= ${binary:Version}) | python3-tempest (= ${binary:Version}) | ,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Integration Test Suite
  Tempest is a set of integration tests to be run against a live Openstack
  cluster in order to make sure that all components are working as expected.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f .testrepository

override_dh_auto_install:
	dh_install --fail-missing

	# These aren't automatically install: do it by hand
	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates

	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates

	# Cleanups
	rm -rf $(CURDIR)/debian/python*/usr/etc

	mkdir -p $(CURDIR)/debian/tempest/etc/tempest
	PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/tempest/etc/tempest/tempest.conf \
		--wrap-width 140 \
		--namespace tempest.config \
		--namespace oslo.concurrency \
		--namespace oslo.i18n \
		--namespace oslo.log \
		--namespace oslo.serialization \
		--namespace oslo.utils
	
	install -D -m 0664 etc/logging.conf.sample $(CURDIR)/debian/tempest/etc/tempest/logging.conf
	install -D -m 0664 etc/accounts.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/accounts.yaml
	install -D -m 0664 etc/whitelist.yaml $(CURDIR)/debian/tempest/etc/tempest/whitelist.yaml

	# Fix-up some preferences
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT verbose false
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_dir /var/log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf oslo_concurrency lock_path /var/lock

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_tenant_name admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_username admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_domain_name default

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute fixed_network_name demo-net
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute-feature-enabled allow_duplicate_networks true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute-feature-enabled spice_console true

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf dashboard dashboard_url http://127.0.0.1

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity uri http://127.0.0.1:35357/v2.0
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity v2_public_endpoint_type adminURL
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity uri_v3 http://127.0.0.1:35357/v3
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity disable_ssl_certificate_validation true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity auth_version v3
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity default_domain_id default
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity v2_admin_endpoint_type adminURL

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity-feature-enabled api_v3 true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity-feature-enabled api_v2 false

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf image region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network build_interval 3

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration instance_type m1.small
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume region regionOne

	# Otherwise, there's some cinder tempest failures
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume-feature-enabled volume_services true

	# Package stuff in /var/lib/tempest, since we need read/write access
	# to run the testr stuff
	mkdir -p $(CURDIR)/debian/tempest/var/lib/tempest
	ln -s /usr/lib/python2.7/dist-packages/tempest $(CURDIR)/debian/tempest/var/lib/tempest/tempest
	cp .testr.conf $(CURDIR)/debian/tempest/var/lib/tempest
	install -D -m 775 debian/tempest_shell_wrapper $(CURDIR)/debian/tempest/usr/bin/tempest_debian_shell_wrapper

	rm -fr $(CURDIR)/debian/tempest/usr/etc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	export OS_TEST_PATH=$(CURDIR)/tempest/tests ; PATH=$$PATH:$(CURDIR)/debian/bin pkgos-dh_auto_test 'tempest\.tests\.(?!(.*test_pretty_tox.*|.*cmd\.test_subunit_describe_calls\.TestSubunitDescribeCalls\.test_return_code.*|.*TestTestList\.test_testr_list_tests_no_errors.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## tempest 15.0.0

=== debian/changelog ===
tempest (1:15.0.0-6) unstable; urgency=medium

  * Fix api-v2-admin-config

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 29 Nov 2017 18:02:33 +0100

tempest (1:15.0.0-5) unstable; urgency=medium

  * Add patch fix api-v2-admin-config

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 06 Nov 2017 13:11:23 +0200

tempest (1:15.0.0-4) unstable; urgency=medium

  * Delete samples from tempest package, python-packages already providing

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 24 Oct 2017 09:55:33 +0200

tempest (1:15.0.0-3) unstable; urgency=medium

  * Fix preinstss

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 23 Oct 2017 22:14:33 +0200

tempest (1:15.0.0-2) unstable; urgency=medium

  * Remove javelin2 update-alternative from postinst script

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 19 Oct 2017 17:50:53 +0200

tempest (1:15.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 19 Oct 2017 13:38:53 +0200

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 54~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-cliff (>= 2.3.0),
                     python-coverage,
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-jsonschema,
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.13),
                     python-openssl (>= 0.14),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-pep8,
                     python-paramiko (>= 2.0),
                     python-pep8,
                     python-prettytable,
                     python-psycopg2,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-urllib3 (>= 1.15.1),
                     python-debtcollector (>= 1.2.0),
                     python-unittest2,
                     python-yaml,
                     python3-cliff (>= 2.3.0),
                     python3-coverage,
                     python3-fixtures (>= 3.0.0),
                     python3-hacking,
                     python3-jsonschema,
                     python3-mock (>= 2.0),
                     python3-mysqldb,
                     python3-netaddr (>= 0.7.13),
                     python3-openssl (>= 0.14),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pep8,
                     python3-paramiko (>= 2.0),
                     python3-prettytable,
                     python3-psycopg2,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-urllib3 (>= 1.15.1),
                     python3-debtcollector (>= 1.2.0),
                     python3-unittest2,
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-tempest?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-tempest -b debian/newton
Homepage: https://github.com/openstack/tempest

Package: python-tempest
Architecture: all
Replaces: python-tempest-lib,
          tempest (<< 1:12.0.0-2~),
Breaks: python-tempest-lib,
        tempest (<< 1:12.0.0-2~),
Provides: python-tempest-lib,
Depends: python-cliff (>= 2.3.0),
         python-ddt,
         python-fixtures (>= 3.0.0),
         python-jsonschema,
         python-netaddr (>= 0.7.13),
         python-openssl (>= 0.14),
         python-os-testr (>= 0.8.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslotest,
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-prettytable,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         python-subunit,
         python-swiftclient,
         python-testscenarios,
         python-testtools (>= 1.4.0),
         python-urllib3 (>= 1.15.1),
         python-debtcollector (>= 1.2.0),
         python-unittest2,
         python-yaml,
         testrepository,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Integration Test Suite - Python 2.7
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 2.7 module.

Package: python3-tempest
Architecture: all
Replaces: python3-tempest-lib,
Breaks: python3-tempest-lib,
Provides: python3-tempest-lib,
Depends: python3-cliff (>= 2.3.0),
         python3-ddt,
         python3-fixtures (>= 3.0.0),
         python3-jsonschema,
         python3-netaddr (>= 0.7.13),
         python3-openssl (>= 0.14),
         python3-os-testr (>= 0.8.0),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-oslotest,
         python3-paramiko (>= 2.0),
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         python3-subunit,
         python3-swiftclient,
         python3-testscenarios,
         python3-testtools (>= 1.4.0),
         python3-urllib3 (>= 1.15.1),
         python3-debtcollector (>= 1.2.0),
         python3-unittest2,
         python3-yaml,
         subunit,
         testrepository,
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends: python-tempest (= ${binary:Version}) | python3-tempest (= ${binary:Version}) | ,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.

=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,14 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=python_distutils
 	rm -f .testrepository
+	rm -rf build
+	rm -f AUTHORS
+	rm -f ChangeLog
+	rm -f tempest.log
+	rm -f doc/source/_static/tempest.conf.sample
 
 override_dh_auto_install:
-	dh_install --fail-missing
-
-	# These aren't automatically install: do it by hand
-	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
-	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
-	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
-
-	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
-	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
-	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
+	pkgos-dh_auto_install
 
 	# Cleanups
 	rm -rf $(CURDIR)/debian/python*/usr/etc

## tempest 16.0.0

=== debian/changelog ===
tempest (1:16.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:21:57 +0100

tempest (1:15.0.0-0ubuntu2) zesty; urgency=medium

  * debian/rules: Remove the samples by hand since it
    gets installed in the proper places. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 16:42:22 -0500

tempest (1:15.0.0-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to tarballs.openstack.org 
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 11:35:27 -0500

tempest (1:14.0.0-0ubuntu4) zesty; urgency=medium

  * debian/control: Drop python hacking. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 12:43:20 -0500

tempest (1:14.0.0-0ubuntu3) zesty; urgency=medium

  * debian/rules: Really fix package installation. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 14:02:28 -0500

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-cliff (>= 2.3.0),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-jsonschema (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.13),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.22.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-pep8,
                     python-prettytable (>= 0.7.1),
                     python-psycopg2,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-swiftclient,
                     python-testrepository (>= 0.0.18),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-urllib3 (>= 1.15.1),
                     python-yaml (>= 3.10.0),
                     python3-cliff (>= 2.3.0),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-jsonschema (>= 2.0.0),
                     python3-mock (>= 2.0),
                     python3-mysqldb,
                     python3-netaddr (>= 0.7.13),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:3.22.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1.10.0),
                     python3-paramiko (>= 2.0),
                     python3-pep8,
                     python3-prettytable (>= 0.7.1),
                     python3-psycopg2,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-unittest2,
                     python3-urllib3 (>= 1.15.1),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
Homepage: https://github.com/openstack/tempest

Package: python-tempest
Architecture: all
Replaces: python-tempest-lib,
          tempest (<< 1:12.0.0-2~),
Breaks: python-tempest-lib,
        tempest (<< 1:12.0.0-2~),
Provides: python-tempest-lib,
Depends: python-cliff (>= 2.2.0),
         python-ddt,
         python-debtcollector (>= 1.2.0),
         python-fixtures (>= 3.0.0),
         python-jsonschema,
         python-netaddr (>= 0.7.13),
         python-os-testr (>= 0.8.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.22.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-oslotest (>= 1:1.10.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 2.0.0),
         python-prettytable (>= 0.7.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         python-subunit,
         python-swiftclient,
         python-testrepository (>= 0.0.18),
         python-testscenarios,
         python-testtools (>= 1.4.0),
         python-unittest2,
         python-urllib3 (>= 1.15.1),
         python-yaml (>= 3.10.0),
         testrepository,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Integration Test Suite - Python 2.7
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 2.7 module.

Package: python3-tempest
Architecture: all
Replaces: python3-tempest-lib,
Breaks: python3-tempest-lib,
Provides: python3-tempest-lib,
Depends: python3-cliff (>= 2.2.0),
         python3-ddt,
         python3-debtcollector (>= 1.2.0),
         python3-fixtures (>= 3.0.0),
         python3-jsonschema,
         python3-netaddr (>= 0.7.13),
         python3-os-testr (>= 0.8.0),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:3.22.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-oslotest (>= 1:1.10.0),
         python3-paramiko (>= 2.0),
         python3-pbr (>= 2.0.0),
         python3-prettytable (>= 0.7.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         python3-subunit,
         python3-swiftclient,
         python3-testrepository (>= 0.0.18),
         python3-testscenarios,
         python3-testtools (>= 1.4.0),
         python3-unittest2,
         python3-urllib3 (>= 1.15.1),
         python3-yaml (>= 3.10.0),
         subunit,
         testrepository,
         ${misc:Depends},
         ${python3:Depends}
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends: python-tempest (>= 1:14.0.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
